RMISecurityException (Java SE 13 & JDK 13 )
Description: declaration: module: java.rmi, package: java.rmi, class: RMISecurityException
Keywords: java.rmi.RMISecurityException class

Module java.rmi
Package java.rmi

# Class RMISecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
java.rmi.RMISecurityException

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public class RMISecurityException
    extends SecurityException

Deprecated.
Use `SecurityException` instead. Application code should never directly reference this class, and `RMISecurityManager` no longer throws this subclass of `java.lang.SecurityException`.
An `RMISecurityException` signals that a security exception has occurred during the execution of one of `java.rmi.RMISecurityManager`'s methods.

Since:
  1.1
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RMISecurityException​(String name)` | Deprecated. no replacement
  `RMISecurityException​(String name, String arg)` | Deprecated. no replacement

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RMISecurityException

    @Deprecated public RMISecurityException​(String name)
    Deprecated.
    no replacement
    Construct an `RMISecurityException` with a detail message.
    Parameters:
      `name` - the detail message
    Since:
      1.1

  - ### RMISecurityException

    @Deprecated public RMISecurityException​(String name, String arg)
    Deprecated.
    no replacement
    Construct an `RMISecurityException` with a detail message.
    Parameters:
      `name` - the detail message
      `arg` - ignored
    Since:
      1.1